%define name	perl-Search-OpenFTS
%define version	0.34
%define release	1mdk

Summary:	The Open Full Text Search (OpenFTS) system.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	Search-OpenFTS-%{version}.tar.bz2
URL:		http://openfts.sourceforge.net/
Requires:	perl
#Requires:	perl-Lingua-Stem-Snowball-Da
#Requires:	perl-Lingua-Stem-Snowball-No
Requires:	perl-Lingua-Stem-Snowball-Se
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OpenFTS (Open Source Full Text Search engine) is an advanced 
PostgreSQL-based search engine that provides online indexing of 
data and relevance ranking for database searching. Close 
integration with database allows use of metadata to restrict 
search results. 

%prep
%setup -q -n Search-OpenFTS-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

# I don't know how to build the openfts.c addon, maybe
# we can deal with it later if and when people ask for it?

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc doc/* Changes README
%{perl_vendorlib}/*/*/Search/OpenFTS
%{perl_vendorlib}/*/Search/OpenFTS
%{perl_vendorlib}/*/Search/OpenFTS.pm
%{_mandir}/man3*/*

%changelog
* Fri Jun 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.34-1mdk
- initial cooker contrib.

